﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PushInfo.Core.Models.Param
{
    /// <summary>
    /// 发送短信数据对象
    /// </summary>
    public class SendShortMessageParam
    {
        /// <summary>
        /// 项目Id
        /// </summary>
        public string ProjectId { get; set; }
        /// <summary>
        /// 手机号
        /// </summary>
        public string Mobile { get; set; }
        /// <summary>
        /// 推送消息体
        /// </summary>
        public string PushBody { get; set; }
        /// <summary>
        /// 签名
        /// </summary>
        public string SmsMessageSigna { get; set; }
        /// <summary>
        /// 短信供应商对应SmsType枚举
        /// </summary>
        public int SmsType { get; set; }
        /// <summary>
        /// 阿里云短信专用模板编号
        /// </summary>
        public string TemplateCode { get; set; }
        /// <summary>
        /// 阿里云短信专用参数
        /// </summary>
        public string TemplateParam { get; set; }
    }
}
